Bug 450313 - Any changes in Firefox 3's configuration
Any changes in Firefox 3's configuration
Status: CLOSED NOTABUG
Product: freeIPA
Classification: Community
Component: Documentation (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 431020
  Show dependency treegraph
 
Reported: 2008-06-06 12:39 EDT by Eric Desgranges
Modified: 2015-01-04 18:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 08:58:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Desgranges 2008-06-06 12:39:16 EDT
Following the Using_a_Browser_on_Another_System's instructions to connect to the
ipa server with Firefox 3 Beta 5 (installed on Fedora 9), I keep getting
"Kerberos Authentication Failed", etc... even though kinit admin succeeded. 

I just tried the same url with the text browser elinks and it goes through!

Are there any changes needed for Firefox 3 than those listed on the documentation?
Comment 1 Rob Crittenden 2008-06-09 10:10:32 EDT
Look in about:config and search for 'negot'. It should look something like this,
but with better formatting:

network.negotiate-auth.allow-proxies true
network.negotiate-auth.delegation-uris example.com
network.negotiate-auth.gsslib <empty>
network.negotiate-auth.trusted-uris example.com
network.negotiate-auth.using-native-gsslib true

There is some good documentation, with screenshots, on how to setup negotiation
in general at http://people.redhat.com/mikeb/negotiate/

At the bottom is information on how to have the browser generate a log of what
it is doing that can be helpful.

Alternatively you can try the autoconfigure button that should be on the
Kerberos Authentication failed page. You need to first import and trust the CA
(select all 3 checkboxes) and restart the browser. Then click the button and
accept that it will change your browser prefs and you should be ok.
Comment 2 Eric Desgranges 2008-06-12 14:03:33 EDT
That is what I had done, trying both methods. I'm currently working on something
else, I'll give it a second try and keep you updated.
Comment 3 Eric Desgranges 2008-06-16 06:27:00 EDT
I finally got Firefox 3 Beta 5 working. By default it is much more sensitive to
SSL certificates checking, I guess that's why I couldn't get in until I got a
certificate from a known authority.
Comment 4 Rob Crittenden 2008-06-16 08:58:09 EDT
Glad you got things working. Closing bug.

Note You need to log in before you can comment on or make changes to this bug.